Ubuntu

Microphone doesn't work on Dell Precision M6500

Reported by Ronald McCollam on 2010-02-08
106
This bug affects 14 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
David Henningsson
Nominated for Lucid by Wolf Canis
Nominated for Maverick by Gargoulf

Bug Description

Neither the internal microphone nor a mic plugged into the microphone port work. Sound output works through both the built-in speakers as well as the headphone port.

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2000 F.... pulseaudio
 /dev/snd/pcmC0D0c: ubuntu 2000 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6ffc000 irq 21'
   Mixer name : 'IDT 92HD81B1C5'
   Components : 'HDA:111d76d5,102802ef,00100402'
   Controls : 31
   Simple ctrls : 18
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xf6dec000 irq 17'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [off]
CheckboxCommand: alsa_record_playback
CheckboxDescription:
 Disconnect any external microphones that you have plugged in. Click the Test button, then speak into your internal microphone. After a few seconds, your speech will be played back to you.

 Did you hear your speech played back?
CheckboxTest: alsa_record_playback_internal
Date: Mon Feb 8 18:20:27 2010
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
NonfreeKernelModules: fglrx wl
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
SourcePackage: alsa-driver
Tags: checkbox-bug
Uname: Linux 2.6.31-19-generic i686
XsessionErrors:
 (gnome-settings-daemon:2032): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:2032): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:2189): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2230): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Ronald McCollam (fader) wrote :
Ronald McCollam (fader) wrote :

Installing linux-backports-modules-alsa allows recording from the mic input but not from the built-in mic.

Daniel T Chen (crimsun) wrote :

Please uninstall linux-backports-modules-alsa-$(uname -r) and use linux-alsa-driver-modules-2.6.31-19-generic from the ubuntu-audio-dev PPA.

Ronald McCollam (fader) on 2010-03-19
Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Brad Figg (brad-figg) on 2010-03-31
tags: added: karmic
tags: added: lucid

In Lucid (RC), the sound input works through an external mic plugged into the mic input socket, but not with the internal mics.

Grahame, also with linux-alsa-driver-modules-$(uname -r) from
ppa:ubuntu-audio-dev?
(https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules)

Alex Moldovan (alexmoldovan) wrote :

I can't test it yet. The computer is under test but the CMOS battery defective, awaiting replacement. I'll post the results as soon as possible.

ErnestLotter (elotter) wrote :

I have a Dell Precision M6500 with Ubuntu 10.04 64-bit. Having the same problem (external plugged in mic works, internal mic doesn't), so cannot easily use Skype on the go, for example. How can I assist to help debugging this problem? I've installed linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev, but as of yet, no joy.

Ameet Paranjape (ameetp) on 2010-07-02
Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged
Gargoulf (pasquiernoterdaeme) wrote :

Hi,
Same here. DELL Precision M6500 with fresh install of Ubuntu 10.04 32-bit (removed windows 7)
Impossible to make the internal microphone work.
Has anybody solved the problem? Please keep informed.

Gargoulf (pasquiernoterdaeme) wrote :

Me again. I wanted to try what Daniel T Chen said:

sudo add-apt-repository ppa:ubuntu-audio-dev/ppa
sudo apt-get update
sudo apt-get install linux-alsa-driver-modules-$(uname -r)

Gives:

Get Couldn't find package linux-alsa-driver-modules-2.6.32-23-generic-pae

Should I use inux-alsa-driver-modules-2.6.32-22-generic-pae instead?

Has anyone solved the pb? Thanks.

Gargoulf (pasquiernoterdaeme) wrote :

Installed linux-backports-modules-alsa-lucid-generic-pae which provided 2.6.32.23.24
Does not solve the internal mic problem.

Ameet Paranjape (ameetp) on 2010-07-06
Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
Gargoulf (pasquiernoterdaeme) wrote :

update: Today, probably after updates, I see installed in synaptics:
linux-backports-modules-alsa-2.6.32-23-generic-pae version 2.6.32-23.16
and
linux-backports-modules-alsa-lucid-generic-pae version 2.6.32-23.24

So it seems there was a regression of the meta package from 2.6.32.23.24 to 2.6.32.23.16

Now I have no sound at all. I mean, no input, no output. Any hint?

Ameet Paranjape (ameetp) on 2010-07-15
Changed in alsa-driver (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Sebastien Bacher (seb128) wrote :

Hey Luke, could you try to see if that's something to change in the userland or drivers?

Changed in alsa-driver (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → Luke Yelavich (themuso)
Gargoulf (pasquiernoterdaeme) wrote :

I don't know if this helps to find the bug, but today, after starting, no sound at all, while speakers were working yesterday.
In System > Preferences > Sound, there is nothing now in the "hardware" tab.
Having no input/output sound is quite an annoying bug! I don' want to reinstall alsa at each startup! (by the way, only output works in general, microphone has never worked since I installed ubuntu 10.04)

ErnestLotter (elotter) wrote :

Still no luck with my Ubuntu 10.04 64-bit on Dell Precision M6500 (as Gargoulf's setup) - if there is something that I can do to help debug the problem, please let me know! Never had any problems with sound output, external mic works when plugged in, but internal mic has never worked.

John Costella (jpcostella) wrote :

Just got a Precision M6500, same problem. Internal mic works AOK under Win XP x64 if I change it to the third microphone listed ("Digital"). Under Ubuntu 10.04, I only get two Microphones listed, so presumably that's why we can't get it recognised.

Any news on getting this fixed appreciated -- not relishing having to reboot into Windows every time I need to talk to my boss using Skype ... :(

John Costella (jpcostella) wrote :

Also tried the

sudo add-apt-repository ppa:ubuntu-audio-dev/ppa
sudo apt-get update
sudo apt-get install linux-alsa-driver-modules-$(uname -r)

and no joy.

I still suspect it is related to the internal mic coming up as a third mic ("digital") under Windows.

David Henningsson (diwic) wrote :

According to what BIOS says, you have three mics, and the current HDA driver only enables two of them. Perhaps this can be tweakable by user_pin_configs?

Can you please try the following:

1) Make sure you have the latest drivers installed, according to https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

2) Execute the following commands:

sudo echo 0x0e 0x411111f0 > /sys/class/sound/hwC0D0/user_pin_configs
sudo echo 1 > /sys/class/sound/hwC0D0/reconfig

Try both mics and see if they're working.

Changed in alsa-driver (Ubuntu):
status: Triaged → Incomplete
Gargoulf (pasquiernoterdaeme) wrote :

sudo echo 0x0e 0x411111f0 > /sys/class/sound/hwC0D0/user_pin_configs only possible in root
did
sudo su
then your command.
sudo echo 1 > /sys/class/sound/hwC0D0/reconfig
gives echo: write error: Device or resource busy

Gargoulf (pasquiernoterdaeme) wrote :

...and of course...internal mic still not working

Changed in alsa-driver (Ubuntu):
status: Incomplete → Opinion
status: Opinion → Incomplete
John Costella (jpcostella) wrote :
Download full text (4.7 KiB)

@David Henningsson:

1. I had installed those, and indeed today they were updated by Update Manager (which prompted me to check back here).

2. I found the same things as Gargoulf, so rebooted into Recovery Mode and dropped into a root command prompt, where the commands worked. (The machine paused for a second after the reconfig command, so I assume it was doing it -- are these the Linux equivalent of hardware pokes?)

Rebooting shows that nothing has changed:

System / Preferences / Sound / Input / Connector still shows the same four options:
  Microphone 1 / Microphone
  Microphone 1 / Line-In
  Microphone 2 / Microphone
  Microphone 2 / Line-In
and selecting any of them does not respond to the inbuilt mic.

From the terminal, 'alsamixer' gives a whole lot of information (none of which helps):

Under F4 Capture it has Front Mic, Mic, Capture and Capture 1. Putting the gain to full on all of them doesn't help. Options for Input Source and Input Source 1 are Front Mic and Mic. Switching between them on either doesn't help.

Under F2 System information I get these (apologies for the format -- I'm cutting and pasting from the terminal-mode graphics):

│ │▒▒│ ┌────────────────── /proc/asound/version ───────────────────┐ │
│ │▒▒│ │Advanced Linux Sound Architecture Driver Version 1.0.23. │ │
│ │▒▒│ │Compiled on Aug 13 2010 for kernel 2.6.32-24-generic (SMP).│ │
│ │▒▒│ └───────────────────────────────────────────────────────────┘ │

│ │▒▒│ ┌──────────────── /proc/asound/cards ────────────────┐ │
│ │▒▒│ │ 0 [Intel ]: HDA-Intel - HDA Intel │ │
│ │▒▒│ │ HDA Intel at 0xf6ffc000 irq 40│ │
│ │▒▒│ └────────────────────────────────────────────────────┘ │

│ │▒▒│ │▒▒│ ┌─────── /proc/asound/devices ───────┐ │
│ │▒▒│ │▒▒│ │ 2: : timer │ │
│ │▒▒│ │▒▒│ │ 3: : sequencer │ │
│ │▒▒│ │▒▒│ │ 4: [ 0- 1]: digital audio playback│ │
│ │▒▒│ │▒▒│ │ 5: [ 0- 0]: digital audio playback│ │
│ │▒▒│ │▒▒│ │ 6: [ 0- 0]: digital audio capture │ │
│ │▒▒│ │▒▒│ │ 7: [ 0- 0]: hardware dependent │ │
│ │▒▒│ │▒▒│ │ 8: [ 0] : control │ │
│ │▒▒│ │▒▒│ └────────────────────────────────────┘ │
││ │▒▒│ │▒▒│ ┌ /proc/asound/oss/devices ┐ │
│ │▒▒│ │▒▒│ │ 0: [0- 0]: mixer │ │
│ │▒▒│ │▒▒│ │ 1: : sequencer │ │
│ ...

Read more...

Hankyone (hankyone) wrote :

I can confirm #20, same deal here.

Wolf Canis (wolf-canis) wrote :

Hello,

same here. It worked with the 9.10 LiveCD and after a couple of updates it stopped working and is still not working with 10.04 LTS. Which I tried and actually want to use.

This bug is marked as incomplete. What is missing?

Thanks in advance.

Regards,
Wolf

KaGeN101 (kagen101) wrote :

Hi All,

Is it at all possible that this can get some traction?

Some of us you Ubuntu and only Ubuntu as our primary work machine.
It is kinda difficult to do your work properly if you can't conference.

It seems as if people here have identified the problem as it not picking up the third digital mike.
Could a comparison be done between 9.10 LiveCD and current release and make sure the they are a combined release of the code that was used in 9.10 LiveCD and now with regards this third mike?

Regards,

K

Ameet Paranjape (ameetp) on 2010-08-20
Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged
David Henningsson (diwic) wrote :

@KaGeN101: The way to compare with older functioning releases, is to do a git bisect - and on my TODO list is to learn how to do that, so I can then teach you others how to do it yourselves :-)

@Gargoulf, hmm, it could be that you must also stop pulseaudio first. https://wiki.ubuntu.com/Audio/StopPulseaudio

@John Castello, Ameet or Ansour, when you have successfully issued these commands and mic is still not working, can you please attach alsa-info information to this bug? Thanks. https://wiki.ubuntu.com/Audio/AlsaInfo

Emmeran Seehuber (rototor) wrote :

 @David Henningsson: As i´ve got the exactly same problem here (i.e. microphone is not working on my Dell M6500; not in skype nor in audacity), I attach my AlsaInfo output. Hope it helps to resolve the problem.

Ameet Paranjape (ameetp) on 2010-08-20
Changed in alsa-driver (Ubuntu):
status: Triaged → Incomplete
Gargoulf (pasquiernoterdaeme) wrote :

 @David Henningsson: OK, I stopped pulseaudio. Then, I was able to do #17.
This does not solve the pb (but output still works). Even worse:
now System> Preferences > Sound pops up a window saying "Waiting for sound
system to respond". Shall I revert the Pulseaudio stop step or is it due to anything
else? Hope this info can contribute to something.

Gargoulf (pasquiernoterdaeme) wrote :

ok, I reversed the pulse-audio stuff ("autospawn = no" ---> ";autospawn =yes")
and I can now access sound preferences again. Still no joy. I attach the also info.

Hankyone (hankyone) wrote :
John Costella (jpcostella) wrote :

Update Manager just updated the kernel and alsa PPD, but inbuilt mic is still not working.

Attached is alsa-info.

Regarding how it is working under Windows, I just rebooted into it and found that it seems to have "simplified" itself -- input and output is simply coming up as a single "IDT Audio" option, and it still works AOK. This is both through Skype and directly from Control Panel. (Previously it showed three microphones, which I had to switch to the third one, "Digital Mic", to get the inbuilt mic to work.) Win XP Pro 64-bit. Not sure when it decided to simplify itself like that.

David Henningsson (diwic) wrote :

Hmm, to you who had sent in alsa-info, thanks, but you don't seem to have successfully enabled the new pin configuration (as of comment #17), if you had, it would have showed up under "user_pin_configs" in your alsa-info.

There seem to be a lot of things that can go wrong when trying to apply a new user_pin_config. I probably need to write up a wiki page on how to avoid them.

Thijs Kaper (thijs-kaper) wrote :

I have just done another test, and it seems my internal mic is now working fine, at leas for now ;-)
To reconfigure the mic, before pulseaudio loads, I just created a small file: /etc/rc2.d/S01mictest (and chmod 755)
With this content:

#! /bin/sh
### BEGIN INIT INFO
# Provides: mictest
# Required-Start:
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: set mic stuff
### END INIT INFO

echo reconfig audio `date` >>/tmp/test.log
echo 0x0e 0x411111f0 > /sys/class/sound/hwC0D0/user_pin_configs 2>>/tmp/test.log
echo 1 > /sys/class/sound/hwC0D0/reconfig 2>>/tmp/test.log

And now the mic seems to work after my reboot...
I'll attach my alsa-info, in case someone can use it to make a real fix.

Greetings,
       Thijs.

Thijs Kaper (thijs-kaper) wrote :

Note: this should have been on a single line, but the bug tracker seems to split it accross two lines:
echo 0x0e 0x411111f0 > /sys/class/sound/hwC0D0/user_pin_configs 2>>/tmp/test.log

So it should end in "2>>/tmp/test.log"

Thijs.

David Henningsson (diwic) wrote :

@Thijs Kasper: Awesome! Proves my theory is working, and thanks for the init script tip. Can you also verify that nothing else stopped working at the same time - in particular the external mic? Thanks!

Changed in alsa-driver (Ubuntu):
assignee: Luke Yelavich (themuso) → David Henningsson (diwic)
status: Incomplete → In Progress
Thijs Kaper (thijs-kaper) wrote :

@David; When I plug in my ear phones in my line-in, it seems to switch over to use that one automatically. The sound preferences "connector" drop down shows line-in and microphone, but that selector does not seem to have any effect on anything. Is that normal ? I would have expected that I had to choose my input somewhere...

Thijs.

David Henningsson (diwic) wrote :

Okay, so I've made a somewhat more permanent solution than the init script, please do the following:

1) Download and install
http://people.canonical.com/~diwic/temp/alsa-intel-hda-update-diwic-m6500-dkms_1.0.23_all.deb
2) Reboot
3) To verify that the new version is installed, run "modinfo snd-hda-codec" and make sure "alsa-intel-hda-update-diwic-m6500" is listed as part of the filename
4) Check whether internal mic, external mic, and all other inputs and outputs are working, then report back.

Thanks!

David Henningsson (diwic) wrote :

@Thijs, can you clarify? Why do you put a pair of headphones into line-in? Are you saying you put a headset's mic into the mic in jack?

Also, according to your BIOS, this is what you have, which does not include a line in. Can you verify it's correct?

SPDIF out, rear (0x1f)
Mic in, left (0x0a)
Headphone out, left (0x0b)
Internal speakers (0x0d)
Internal mic (0x11)

Mic in, on docking station (0x0e)
Line out, on docking station (0x0f)

Thijs Kaper (thijs-kaper) wrote :

@David; I do not have a real mic at hand, so I used my headphone as mic for your #33 test. And sorry for the confusion, it wasn't a line in, but the external mic input I used ;-)
And for your list, the SPDIF i'm not sure about... there's no connectors at the rear, but there's a connector marked D at the right side, perhaps that includes the SPDIF (not used it yet, it's presumably a display port, or HDMI/DVI like thingy)? The rest seems correct, so the M6500 apparently does not have a line in. So should that not be removed from the sound preferences "connector" drop down then?
I can't test #35 at this time, I'll give that a try this evening.

KaGeN101 (kagen101) wrote :

@David, followed steps in #35.

Step 3 verifies that the file was not applied.

Nothing changed and now when I tab in a console with no results I get a funny electronic sound like when you plug a jack into an amp.

I have installed ppa linux-backports-modules-alsa-2.6.32-24 and then followed the steps in #35.

Attached find the alsa info.

If I need to put my installation back to some state before doing this please inform on how to check if it is in the correct state before doing the steps in #35.

Regards,

K

David Henningsson (diwic) wrote :

@KaGeN101: So if alsa-intel-hda-update-diwic-m6500 was not part of the path to the filename, you need to uninstall whatever that is that is used instead. Try the following:

dpkg -S snd-hda-codec.ko

You'll get a list of files and packages. One of those files should be the same as listed in "modinfo". Uninstall that package and retry.

David Henningsson (diwic) wrote :

@KaGeN101: Unless that package is linux-image-2.6.32-24-generic, then probably something else is wrong with the installation of alsa-intel-hda-update-diwic-m6500-dkms.

John Costella (jpcostella) wrote :
Download full text (12.9 KiB)

The graphical installer said that it was already installed. I clicked Reinstall Package and it didn't seem to help. (I'm not an expert on .deb installs, so just going by instruction here.)

After rebooting, I get this from the command line:

john@john-laptop:~$ modinfo snd-hda-codec
filename: /lib/modules/2.6.32-24-generic/updates/alsa/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 6E5392338A57455153B24E6
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.32-24-generic SMP mod_unload modversions
john@john-laptop:~$

and

john@john-laptop:~/Downloads$ sudo dpkg -i alsa-intel-hda-update-diwic-m6500-dkms_1.0.23_all.deb
[sudo] password for john:
(Reading database ... 164272 files and directories currently installed.)
Preparing to replace alsa-intel-hda-update-diwic-m6500-dkms 1.0.23 (using alsa-intel-hda-update-diwic-m6500-dkms_1.0.23_all.deb) ...

-------- Uninstall Beginning --------
Module: alsa-intel-hda-update-diwic-m6500
Version: 1.0.23
Kernel: 2.6.32-24-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

snd-hda-codec-intelhdmi.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

snd-hda-codec-realtek.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

snd-hda-codec-cirrus.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

snd-hda-codec-ca0110.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

snd-hda-codec-idt.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

snd-hda-codec-analog.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

snd-hda-intel.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

snd-hda-codec-nvhdmi.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-24-generic/updates/dkms/
 - Original module
   - No original module...

KaGeN101 (kagen101) wrote :

@David, I removed all previous versions of what could have been blocking the install as John is experiencing.

It then install fine.

modinfo outputs:
filename: /lib/modules/2.6.32-24-generic/updates/dkms/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 8B36DCFFD67A9A2806AC95B
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.32-24-generic SMP mod_unload modversions

dpgk -S snd-hda-codec.ko outputs:
linux-image-2.6.32-22-generic: /lib/modules/2.6.32-22-generic/kernel/sound/pci/hda/snd-hda-codec.ko
linux-image-2.6.32-23-generic: /lib/modules/2.6.32-23-generic/kernel/sound/pci/hda/snd-hda-codec.ko
alsa-intel-hda-update-diwic-m6500-dkms: /usr/src/alsa-intel-hda-update-diwic-m6500-1.0.23/snd-hda-codec.ko
linux-image-2.6.32-24-generic: /lib/modules/2.6.32-24-generic/kernel/sound/pci/hda/snd-hda-codec.ko
linux-image-2.6.32-21-generic: /lib/modules/2.6.32-21-generic/kernel/sound/pci/hda/snd-hda-codec.ko

So it is definitely there but I don't know why the module is not using it.

You get the problem that John i having if you installed back ports.

Regards,

John Costella (jpcostella) wrote :

David,

Followed your instructions about removing the conflicting version.

Installing your new one seemed to be happier.

But I still get this

john@john-laptop:~$ modinfo snd-hda-codec
filename: /lib/modules/2.6.32-24-generic/updates/dkms/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 8B36DCFFD67A9A2806AC95B
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.32-24-generic SMP mod_unload modversions

john@john-laptop:~$ dpkg -S snd-hda-codec.ko
alsa-intel-hda-update-diwic-m6500-dkms: /usr/src/alsa-intel-hda-update-diwic-m6500-1.0.23/snd-hda-codec.ko
linux-image-2.6.32-24-generic: /lib/modules/2.6.32-24-generic/kernel/sound/pci/hda/snd-hda-codec.ko
linux-image-2.6.32-21-generic: /lib/modules/2.6.32-21-generic/kernel/sound/pci/hda/snd-hda-codec.ko
john@john-laptop:~$

David Henningsson (diwic) wrote :

Sorry about the confusion, I'm still learning...

It indeed looks like you have the right package installed - I was wrong about that alsa-intel-hda-update-diwic-m6500-dkms should be in the modinfo path - it should just be "/lib/modules/2.6.32-24-generic/updates/dkms/snd-hda-codec.ko".

Now let me know if your sound is working :-)

KaGeN101 (kagen101) wrote :

@David, #43 confirms my findings as well.

Don' know why it is not giving correct output.

KaGeN101 (kagen101) wrote :

@David, can confirm sound is working in all modes, speakers and headphones.

Still no internal mic, can't test line-in don't have external mic.

Regards,

K

David Henningsson (diwic) wrote :

Argh...forgot to copy the fixed version to the dkms directory, should be fixed now.
Please download http://people.canonical.com/~diwic/temp/alsa-intel-hda-update-diwic-m6500-dkms_1.0.23_all.deb again, install it, reboot and test. Thanks for bearing with me.

KaGeN101 (kagen101) wrote :

@David, new install gives an error while building.

Error! Bad return status for module build on kernel: 2.6.32-24-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/ for more information.
dpkg: error processing alsa-intel-hda-update-diwic-m6500-dkms (--configure):
 subprocess installed post-installation script returned error exit status 10
Errors were encountered while processing:
 alsa-intel-hda-update-diwic-m6500-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)

Don't worry we will bear with you.

K

KaGeN101 (kagen101) wrote :

Output from make.log:

cat /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/make.log
DKMS make.log for alsa-intel-hda-update-diwic-m6500-1.0.23 for kernel 2.6.32-24-generic (x86_64)
Mon Aug 23 13:14:32 SAST 2010
make -C /lib/modules/2.6.32-24-generic/build M=`pwd` modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.32-24-generic'
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_analog.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_atihdmi.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_ca0110.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_cirrus.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_cmedia.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_conexant.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_sigmatel.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_intelhdmi.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_nvhdmi.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_realtek.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_si3054.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/patch_via.o
  CC [M] /var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.o
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c: In function ‘snd_hda_bus_new’:
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c:592: error: ‘struct hda_bus’ has no member named ‘prepare_mutex’
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c: In function ‘snd_hda_codec_prepare’:
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c:3512: error: ‘struct hda_bus’ has no member named ‘prepare_mutex’
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c:3516: error: ‘struct hda_bus’ has no member named ‘prepare_mutex’
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c: In function ‘snd_hda_codec_cleanup’:
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c:3525: error: ‘struct hda_bus’ has no member named ‘prepare_mutex’
/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.c:3527: error: ‘struct hda_bus’ has no member named ‘prepare_mutex’
make[2]: *** [/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build/hda_codec.o] Error 1
make[1]: *** [_module_/var/lib/dkms/alsa-intel-hda-update-diwic-m6500/1.0.23/build] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.32-24-generic'
make: *** [all] Error 2

Regards,

K

David Henningsson (diwic) wrote :

@KaGeN101: Thanks! It just isn't my day today...I've updated the package - please give it another try: download http://people.canonical.com/~diwic/temp/alsa-intel-hda-update-diwic-m6500-dkms_1.0.23_all.deb again, install it, reboot and test.

KaGeN101 (kagen101) wrote :

@David, new package installed.

Rebooted and tested. Sound works fine, no mic.

Attach please find alsa-info.

Regards,

K

John Costella (jpcostella) wrote :

@David (after following post #50):

BUILT-IN MIC WORKS! For first time under Ubuntu ... :) :) :)

Just tried Skype and it works perfectly for videocall.

Under Sound Preferences, Input tab, Connector now comes up with two options: Microphone and Line-In. (Defaulted to Microphone.)

I don't have an external Mic to try, but getting the internal one to work is priority 1 for most people with an M6500 I'd reckon.

Thanks greatly Dave -- let me know if there are any settings you need to check before rolling this into a permanent fix for all.

John

KaGeN101 (kagen101) wrote :

@John and @David,

Mine under the Input tab says /dev/dsp.

Any ideas why?

Regards,

K

David Henningsson (diwic) wrote :

@KaGeN101: No mic as in no mic at all or just no internal mic (external mic functioning)?

David Henningsson (diwic) wrote :

@John Costella: Could I have an alsa-info according to http://wiki.ubuntu.com/Audio/AlsaInfo from you? I'll compare it to KaGeN101's non-working variant to see if I can see any difference.

KaGeN101 (kagen101) wrote :

@David, No mic as in in the sound preferences there is no mic listed and it is not working.

Mines says /dev/dsp. I am sure this is wrong.

Regards,

K

David Henningsson (diwic) wrote :

@KaGeN101: /dev/dsp? That's usually bad. Input where? Skype? Gnome-volume-control?

Gargoulf (pasquiernoterdaeme) wrote :

Hi,

Just tried #50 and rebooted. Then, I had no sound at all. I removed previous installed alsa modules from synaptic manager then reinstalled #50. Rebooted
In prefs>sounds>hardware I have selected > profile: Analog Stereo Duplex
Then tab input: Internal Audio Analog Stereo
I confirm there is only Microphone and line-in as connector.

And now, internal mic works as well as output (don't have external mic to test line-in).

!!!!!Many thanks!!!!!!!

If I can do something or post alsa-info or so, please tell me. I would be happy to contribute!

Hankyone (hankyone) wrote :

Installed package at #55 & everything appears to be working fine here

KaGeN101 (kagen101) wrote :

@David, Gnome-Volume control.

Skype says PulseAudio server (local) as only option.

But I think it is because PulseAudio is set to be the default.

Trying to revert it back to the way Ubuntu was as install.
I think I messed it up when trying to see if it would work with pulse.

Any ideas will be welcome to revert away from pulse again short of re-installing :(.

Regards,

K

Gargoulf (pasquiernoterdaeme) wrote :

Attached alsa info of working mic.

KaGeN101 (kagen101) wrote :

@David,

Current result:
When I phone in skype I get my own voice played back to me over my own speakers. Thats great at least that tells me that the mic is on :). But it is probably not configured correctly????

This is what I done:

Okay I reinstall a fresh, 10.04 (LTS) 64 bit to fix the mangled or stuff I messed up with PulseAudio.

I updated to uname -r = 2.6.32-24-generic.

I installed latest provided .deb package 1.0.23_all from you.

I can now see Microphone and Line-In as selected input devices in Sound Preferences.

modinfo output:
filename: /lib/modules/2.6.32-24-generic/updates/dkms/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 80A1FD6A91F28C693AEAD89
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.32-24-generic SMP mod_unload modversions

Attach is my alsa conf.

I don't know why theirs is working and mine is not :(!

David Henningsson (diwic) wrote :

@KaGeN101, to avoid confusion, could you please file a separate bug regarding your issue, which seems to be something different (unrelated to the user_pin_config-patch).

@the rest of you: Thanks, I believe I've got enough testing to send this upstream and make it part of Maverick. Enjoy your mic :-)

KaGeN101 (kagen101) wrote :

@David,

How will it relate to using the provided deb in this thread?

Someone it just going to mark it duplicate of this not?

I am going to call the bug "Microphone doesn't work on Dell Precision M6500"

How is it different to this?

Regards,

K

David Henningsson (diwic) wrote :

@KaGeN101: File it using "ubuntu-bug pulseaudio", call it something like "/dev/dsp only device listed in gnome-volume-control" (or something like that), and reference this bug so they/we know you have been trying different ALSA drivers. Also provide a PulseAudio log according to http://wiki.ubuntu.com/PulseAudio/Log . Thanks!

Gargoulf (pasquiernoterdaeme) wrote :

@KaGeN101: "I updated to uname -r = 2.6.32-24-generic" Do you mean the alsa drivers?
I actually completely removed all other alsa-drivers and only kept the one by David. Does that help?

KaGeN101 (kagen101) wrote :

@David,

You missed the part where I said I reinstalled the system and now see what the other guys see in their sound preferences?
My sound preferences now list Microphone and Line-in as selectable inputs on the stereo analogue device.

I now confirm what #58 is saying.

@Gargoulf -> after reinstall I ran Update Manager and it took me to the latest of everything.

So to get rid of previous problem with /dev/dsp I reinstalled the system because it was created due to previous fiddeling to get the mic working.
My system is now identical to the guys who is working.

@Gargoulf, Will try removing all and then post back.

Regards,

K

KaGeN101 (kagen101) wrote :

@Gargoulf,

How do you remove these?

dpkg -S snd-hda-codec.ko:
linux-image-2.6.32-24-generic: /lib/modules/2.6.32-24-generic/kernel/sound/pci/hda/snd-hda-codec.ko
linux-image-2.6.32-21-generic: /lib/modules/2.6.32-21-generic/kernel/sound/pci/hda/snd-hda-codec.ko

These are part of the kernel image.
I believe my modinfo is pointing to the correct one thou:

modinfo snd-hda-codec:
filename: /lib/modules/2.6.32-24-generic/updates/dkms/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 80A1FD6A91F28C693AEAD89
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.32-24-generic SMP mod_unload modversions

Other than that our our systems should be indentical and mine is a fresh install.

Regards,

K

KaGeN101 (kagen101) wrote :

Here is a picture of my Sound Preferences window.

Don't know if this helps.

David Henningsson (diwic) wrote :

@KaGeN101: I'm confused. After installation and everything, you say you can confirm comment #58, which means that everything is working, or...?
You don't need to remove anything more as long as the modinfo is correct.

Btw, I think there is a regression in my patch though. It could be that docking station microphones were working before, but now are not. This is because the driver currently only supports two mics, so I've changed that from "mic on left jack and mic on docking station" to "mic on left jack and internal mic".

KaGeN101 (kagen101) wrote :

@David,

After re-installation I can confirm that I see what #58 is seeing in their Sound Preferences after getting correct modinfo output with your installation.

So my setup or result from setup is now the same as theirs ie is what is expected or what it should be.

Everything is not working for me as for them thou.

My experience is different:
When I use Skype I can hear my own voice on my own speakers when I speak into the mic.
Hence my conclusion that I can hear the mic is on it is just not working as expected.

I don't know how else to put it.

Regards,

K

KaGeN101 (kagen101) wrote :

@David,

This is only with setting on Microphone -> internal mic.

I can't test line-in.

Regards,

K

John Costella (jpcostella) wrote :

@David,

Sorry, mate, time zone differences meant I was asleep by the time you asked for the info.

Attached.

John

KaGeN101 (kagen101) wrote :

@David,

Further my speakers make a scratchy static crackling noise when I press tab auto complete in the console and there is nothing to auto complete with.

Each time I press tab it makes that noise.

Don't know if this information helps as well.

Regards,

K

Gargoulf (pasquiernoterdaeme) wrote :

@KaGeM101: I guess what you hear is the system beep. I also had that crackling noise when shuting down.
This has nothing to do with the above bug. Go to ALSA mixer and mute "Beep".

KaGeN101 (kagen101) wrote :

@Gargoulf,

I don't want to mute the beep, it work fine before doing this update there was no crackling sound. So I think it has something to do with this and might be another reason why my mic is not behaving the same as yours.

So now:
Option 1: Use update that doesn't fix my mic problem and create crackling sound
Option 2: Don't use update and don't have a mic and no crackling sound

Both options my mic still doesn't work.

Regards,

K

Wolf Canis (wolf-canis) wrote :

@David Henningsson

Hello,

Quote:

@the rest of you: Thanks, I believe I've got enough testing to send this upstream and make it part of Maverick. Enjoy your mic :-)

---

Does that mean this fix won't make it into 10.04 LTS?

Thanks in advance.

Regards,
              Wolf

David Henningsson (diwic) wrote :

@Wolf: Probably it will, if upstream stable picks it up, we'll take it from there. That is likely to take some time though. If you want this fix faster in 10.04 LTS, there are ways to propose that, see https://wiki.ubuntu.com/Kernel/Dev/StablePatchFormat for the administration around it. I don't have the ambition to take that shortcut at this time, but anyone is welcome to try if you like.

I believe it should be working in Maverick Beta 1, when that comes out a week from now.

David Henningsson (diwic) wrote :

Status update:
Upstream stable is not likely to take it as we risk disabling docking station's mic, if any. So for Lucid you're likely having to stick with the dkms package I've provided.
Maverick will use my fix.
Upstream (Takashi) wants to solve this a little more permanent, trying to allow all three mics. That fix is not going into Maverick, but hopefully into Natty.

Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed
Wolf Canis (wolf-canis) wrote :

@David Henningsson

Hello,

sorry for the delay and thanks for the clarification.

Regards,
              Wolf

David Henningsson (diwic) wrote :

Upstream (Takashi Iwai) now has committed a solution he likes better, and so it will be used in Natty and forward. He asks for testing of the patch, which you can do by uninstalling any dkms packages, then install https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules and reboot. Can you do that and report back? Thanks!

Hankyone (hankyone) wrote :

Working, had to select microphone 2.

Gargoulf (pasquiernoterdaeme) wrote :

Works.

Now, in sound preferences, I have selected "Analog Stereo Duplex"
as hardware and have many options as input:
Analog Line in/ Microphone 2/ Lin in *
Analog Line in/ Microphone 2/ Microphone *
Analog Line in/ Microphone 1/ Lin in
Analog Line in/ Microphone 1/ Microphone
Analog Microphone/ Microphone 2/ Lin in *
Analog Microphone/ Microphone 2/ Microphone *
Analog Microphone/ Microphone 1/ Lin in
Analog Microphone/ Microphone 1/ Microphone

All options with Mic2 work equivalently for internal mic (those marked with *)

Can anyone comment on any regression issues with the latest kernel release (2.6.32-25)? I pulled in the latest Alsa drivers (see David's post from 9-2-2010); however then I get no sound or mic. I removed the latest Alsa drivers and I got my sound back but without a working mic. Everything worked with the previous kernel (2.6.32-24).

System specs include the M6500, 64bit, Ubuntu 10.04 build with all updates as of today. Let me know if I can provide anything else.

Andrew

John Costella (jpcostella) wrote :

@Andrew Montgomery:

I don't know about 10.04 but I upgraded to 10.10 and the fix I installed (see 2010-08-23 above) continued to work AOK (or else the new version fixed it). The kernel was updated yesterday from 2.6.32-25 to 2.6.35-22 and it's still AOK.

Don't know if this is helpful to you, sorry.

John

Mark Bonsack (mbonsack) wrote :

@Andrew

The drivers from post #81 don't work for me either; I also don't get the long list of input options from post #83. I only get simple "line in" and "microphone" choices. Furthermore, if I install David's patch I get no sound/mic at all, as well as nothing at all listed in the hardware tab of the sound preferences applet. Removing David's package restores the devices in the hardware tab and sound, but no mic and only the 2 choices for the input options.

Still stuck on this; don't want to go to 10.10.

Mark Bonsack (mbonsack) wrote :

Spoke to soon; I assumed that the lack of all the input choices described in post #83 would mean that the mic wouldn't work. Silly me, the mic *does* work fine, at least with the simple sound recorder tool ;-)

John Costella (jpcostella) wrote :

@Mark Bonsack

Yes I got it working on 10.04 doing whatever I said I did above, and it worked on upgrade to 10.10. I also only get those two options you mention. Been working great.

John

Mark Bonsack (mbonsack) wrote :

@john costella

Did you ever back out David's changes and use the Upstream driver or have you just stuck with what you did on 8/23? I'm using the Upstream drivers; all is well but have not tested docking station mic at all, or even whether I could choose it. Looks like with the two choices I cannot.

John Costella (jpcostella) wrote :

@mark bonsack

Sorry, mate, I didn't want to muck around with it once it was working. I get the feeling the changes were backed out automagically on the upgrade to 10.10 (apt-get removed the packages at one stage) but I haven't looked into it. As a work machine, I just wanted it to work! If you have a quick command or three I can run to check what I'm running, shoot them through and I'll do it and dump the results here. Other than that I just wanted the machine working ...

Sorry again, this time around I didn't get a docking station so can't tell you what does or doesn't work in that configuration. Try it!

Cheers
John

David Henningsson (diwic) wrote :

AFAIK this was fixed in Natty. Feel free to change the status back if this is wrong.

Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released

Hi:
I'm new to ubuntu, so forgive me I make a silly question:
Where is this miraculous attachment http://people.canonical.com/~diwic/temp/alsa-intel-hda-update-diwic-m6500-dkms_1.0.23_all.deb that will finally make my m6500s microphone work??
I get:
Not Found: The requested URL /~diwic/temp/alsa-intel-hda-update-diwic-m6500-dkms_1.0.23_all.deb was not found on this server.

David Henningsson (diwic) wrote :

@Andino, I removed that attachment a while ago when I was cleaning up, didn't think anyone was using it. Since it was fixed in Natty, upgrading to a newer Ubuntu version should resolve your problem.

Yes, I read that. I have had to stick to LTS 10.04 since it is supported for 3 years.
I wouldn't want to risk an otherwise perfectly working installation and end up re-installing drivers (ie the video card) just to solve the microphone issue. I would really appreciate if you could re-upload the solution file :)
thanks in advance

David Henningsson (diwic) wrote :

@Andino, for 10.04 you can also try this: https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

To post a comment you must log in.